Ruby drivers

Driver compatibility tables for Ruby drivers.

DataStax Ruby Driver for Apache Cassandra® and the DataStax Distribution of Apache Cassandra (DDAC)

Table 1. Matrix table icons legend
Icon Description
Fully compatible.
Partially compatible.
Incompatible
New features and bug fixes are developed on the latest minor version of the driver, and users are encouraged to stay current with those minor releases. APIs are maintained stable according to semantic versioning conventions, and upgrades should be trivial.
Note: Earlier versions of DataStax Cassandra drivers did not have full support of DSE features.

Icon legend

Driver version Apache Cassandra version DataStax Enterprise version DataStax Astra
Version 3.0+DDAC 2.2 2.1 6.8 6.7 6.0 5.1 5.0 Cloud
3.0+ 3 3 3 3 3
2.1 2 2 2 2 2
1.0+ 2 2 2 2 2 2

DDACDataStax Distribution of Apache Cassandra has the same driver version compatibility as Cassandra 3.11.

2Limited to the Cassandra 2.0 API.

3While the OSS drivers are able to connect to DSE clusters, we strongly recommend upgrading to the DSE drivers in order to take full advantage of all DSE features.

DataStax Enterprise Ruby Driver

Note: While the OSS drivers are able to connect to DSE clusters, we strongly recommend upgrading to the DSE drivers in order to take full advantage of all DSE features.

Icon legend

Driver version DataStax Enterprise version DataStax Astra
Version 6.7 6.0 5.1 5.0 4.8 Cloud
All versions 1 1 1

1Limited to the DSE 5.0 API.